deferred class TEST_PERSON

inherit

	TS_TEST_CASE
		redefine
			set_up,
			tear_down
		end

feature

	p: PERSON

	set_up is
		do
			create p.make ("<empty>", 1)
		end

	tear_down is
		do
			p := Void
		end

feature -- Test

	test_name is
		do
			p.set_name ("Joe")
			assert_equal ("name set", "Joe", p.name)
		end

	test_age is
		do
			p.set_age (37)
			assert_equal ("age set", 37, p.age)
		end

end
